Package org.eclipse.emf.compare.match.eobject.internal

## Interface MatchAheadOfTime

All Known Implementing Classes:
  `ByTypeIndex`, `ProximityIndex`

    public interface MatchAheadOfTime

Implementators of this interface might provide elements to be matched "ahead of time". "Ahead of Time" means : before the whole scope got resolved.

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<EObject>` `getValuesToMatchAhead​(EObjectIndex.Side side)` Return EObjects to match ahead of time if there are some.

### Method Detail

#### getValuesToMatchAhead

    Iterable<EObject> getValuesToMatchAhead​(EObjectIndex.Side side)

Return EObjects to match ahead of time if there are some.

Parameters:
  `side` - the side to look for.
Returns:
  the EObjects to match ahead of time.